"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('color')
        .setValue('description', 'Set the canvas context fill style color.')
        .setValue('use', '$color[hex]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!utils_1.Utils.isValidHex(r.inside))
            return utils_1.Utils.Warn('Invalid color provided in:', d.func);
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func);
        d._.Canvas.ctx.fillStyle = '#' + r.inside.replace('#', '');
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
