"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('condition')
        .setValue('description', 'Checks a condition.')
        .setValue('use', '$condition[condition]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let result = utils_1.Utils.condition(r.inside);
        if (result === null)
            return utils_1.Utils.Warn('Invalid condition provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, result.toString())
        };
    }
};
