"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const tslib_1 = require("tslib");
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const canvas_1 = tslib_1.__importDefault(require("@napi-rs/canvas"));
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('createCanvas')
        .setValue('description', 'Create a new canvas.')
        .setValue('use', '$createCanvas[width;height]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        if (!utils_1.Utils.isNumber(r.splits[0]) || !utils_1.Utils.isNumber(r.splits[1]))
            return utils_1.Utils.Warn('Invalid width and height provided in:', d.func);
        let canvas = canvas_1.default.createCanvas(Number(r.splits[0]), Number(r.splits[1]));
        let ctx = canvas.getContext('2d');
        d._.Canvas = { canvas, ctx };
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
