"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('deleteVar')
        .setValue('description', 'Delete a variable from the database.')
        .setValue('use', '$deleteVar[key]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!d.interpreter.db)
            return utils_1.Utils.Warn('No database set yet, error in:', d.func);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        await d.interpreter.db.delete(r.inside);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
