"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('drawImage')
        .setValue('description', 'Draws an image in the canvas.')
        .setValue('use', '$drawImage[id;x;y;width;height;radius?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 5)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let [id, x, y, w, h, radius = '0'] = r.splits;
        let img = d._.Images?.[id];
        if (!img)
            return utils_1.Utils.Warn('Invalid image ID provided in:', d.func);
        if (!utils_1.Utils.isNumber(x) || !utils_1.Utils.isNumber(y) || !utils_1.Utils.isNumber(w) || !utils_1.Utils.isNumber(h) || !utils_1.Utils.isNumber(radius))
            return utils_1.Utils.Warn('Some numer is invalid in:', d.func);
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func);
        d._.Canvas.ctx.save();
        utils_1.Utils.molde(d._.Canvas.ctx, Number(x), Number(y), Number(w), Number(h), parseInt(radius));
        d._.Canvas.ctx.clip();
        d._.Canvas.ctx.drawImage(img, Number(x), Number(y), Number(w), Number(h));
        d._.Canvas.ctx.restore();
        d._.Canvas.ctx.save();
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
