"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('encodeURI')
        .setValue('description', 'Encode a text to URI component.')
        .setValue('use', '$encodeURI[text]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, encodeURIComponent(r.inside.unescape())?.escape() || 'undefined')
        };
    }
};
