"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('fillSplit')
        .setValue('description', 'Replace a split element with something.')
        .setValue('use', '$fillSplit[element;something?]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [element, smth] = r.splits;
        let arr = d._.splits;
        if (!arr)
            return utils_1.Utils.Warn('There is not saved splits yet, use $split first. Error in:', d.func);
        let i = arr.indexOf(element.unescape());
        if (i >= 0) {
            if (smth)
                arr.splice(i, 1, smth.unescape());
            else
                arr.splice(i, 1);
            d._.splits = arr;
        }
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
