"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('fixed')
        .setValue('description', 'Fix a number.')
        .setValue('use', '$fixed[number;fix?]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [number, fix] = r.splits;
        fix ? fix : fix = '0';
        if (!utils_1.Utils.isNumber(number))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func);
        if (!utils_1.Utils.isNumber(fix))
            return utils_1.Utils.Warn('Invalid fix provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, Number(number).toFixed(Number(fix)))
        };
    }
};
