"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('get')
        .setValue('description', 'Get a local variable value.')
        .setValue('use', '$get[key]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let v = d._.vars?.[r.inside];
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, v || 'undefined')
        };
    }
};
