"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getHeader')
        .setValue('description', 'Get a header value.')
        .setValue('use', '$getHeader[key]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let result = Array.isArray(d.req.headers[r.inside]) ? d.req.headers[r.inside]?.[0] : d.req.headers[r.inside];
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, result?.toString()?.escape() || 'undefined')
        };
    }
};
