"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getObjectKey')
        .setValue('description', 'Get a key value from the object.')
        .setValue('use', '$getObjectKey[key]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        let obj = d._.object;
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!obj)
            return utils_1.Utils.Warn('No object created found. Use $createObject first. Error at:', d.func);
        let result = obj[r.inside]?.toString();
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, result || 'undefined')
        };
    }
};
