"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getRoute')
        .setValue('description', 'Get a route property.')
        .setValue('use', '$getRoute[path;keys]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [name, key] = r.splits;
        if (!name || !key)
            return utils_1.Utils.Warn('Invalid parameters provided in:', d.func);
        let result = d.routes.getRoutes().find(r => r.path.toLowerCase() == name);
        let k = eval(`result?.${key}`);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, k?.escape() || 'undefined')
        };
    }
};
