"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getSplit')
        .setValue('description', 'Get an element from splits.')
        .setValue('use', '$getSplit[index]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!utils_1.Utils.isNumber(r.inside))
            return utils_1.Utils.Warn('Invalid index provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, d._.splits?.[Number(r.inside) - 1]?.escape() || 'undefined')
        };
    }
};
