"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('hasText')
        .setValue('description', 'Check if this text has the provided thing.')
        .setValue('use', '$hasText[source;something]')
        .setValue('returns', 'Boolean'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [text, has] = r.splits;
        if (!text || !has)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, text.unescape().includes(has.unescape()).toString())
        };
    }
};
