"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('if')
        .setValue('description', 'Send and break something if that condition is true.')
        .setValue('use', '$if[condition;status;body]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 3)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let [condition, status, body] = r.splits;
        if (!utils_1.Utils.isNumber(status))
            return utils_1.Utils.Warn('Invalid status provided in:', d.func);
        let result = utils_1.Utils.condition(condition);
        if (result === null)
            return utils_1.Utils.Warn('Invalid condition provided in:', d.func);
        if (result) {
            let obj = utils_1.Utils.loadObject(body.unescape());
            if (!obj)
                utils_1.Utils.Warn('Invalid JSON provided in:', d.func);
            d.res.status(parseInt(status)).json(obj);
            d.break = true;
        }
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
