"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('joinSplits')
        .setValue('description', 'Get the splits elements in a separator.')
        .setValue('use', '$joinSplits[separator]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, d._.splits?.join(r.inside.unescape()).escape() || '')
        };
    }
};
