"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const util_1 = require("util");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('jsEval')
        .setValue('description', 'Eval a js code.')
        .setValue('use', '$jsEval[return(true/false);code]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        const util = utils_1.Utils;
        let returns = utils_1.Utils.booleanify(r.splits[0]);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let result;
        try {
            result = await eval(r.splits.slice(1).join(';'));
        }
        catch (e) {
            return utils_1.Utils.Warn(`Unexpected error: ${e} in:`, d.func);
        }
        result = returns ? typeof result === 'object' ? (0, util_1.inspect)(result, { depth: 0 }) : result?.toString() || 'undefined' : '';
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, result)
        };
    }
};
