"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
function ResolvePer(num) {
    return num / 100;
}
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('opacity')
        .setValue('description', 'Set the canvas context opacity.')
        .setValue('use', '$opacity[number]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!utils_1.Utils.isNumber(r.inside))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func);
        if (!d._.Canvas?.ctx)
            return utils_1.Utils.Warn('Not canvas found, create one first using $createCanvas, in:', d.func);
        let n = Number(r.inside);
        if (n > 100 || 0 > n)
            return utils_1.Utils.Warn('Invalid opacity provided in:', d.func);
        d._.Canvas.ctx.globalAlpha = ResolvePer(n);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
