"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('random')
        .setValue('description', 'Get a random element from provided fields.')
        .setValue('use', '$random[...items]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.splits.length)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let random = Math.floor(Math.random() * r.splits.length);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, r.splits[random].escape())
        };
    }
};
