"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('randomNumber')
        .setValue('description', 'Get a random number.')
        .setValue('use', '$randomNumber[min;max]')
        .setValue('returns', 'Number'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [min, max] = r.splits;
        if (!utils_1.Utils.isNumber(min) || !utils_1.Utils.isNumber(max))
            return utils_1.Utils.Warn('Invalid numbers provided in:', d.func);
        let n = Math.floor(Math.random() * Number(max) - Number(min));
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, n.toString())
        };
    }
};
