"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
const canvas_1 = require("@napi-rs/canvas");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('registerFont')
        .setValue('description', 'Register a new font to be used.')
        .setValue('use', '$registerFont[path;family]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [path, family] = r.splits;
        canvas_1.GlobalFonts.registerFromPath(path, family);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
