"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('repeat')
        .setValue('description', 'Repeat a text X times.')
        .setValue('use', '$repeat[text;times]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [txt, num] = r.splits;
        if (!txt || !num)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        if (!utils_1.Utils.isNumber(num))
            return utils_1.Utils.Warn('Invalid number provided in:', d.func);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, txt.unescape().repeat(Number(num)).escape())
        };
    }
};
