"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('replaceRegexp')
        .setValue('description', 'Replace something in the text using RegExp.')
        .setValue('use', '$replaceRegexp[text;regexp;flag;target]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 4)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let [text, reg, flag, rep] = r.splits;
        if (reg.startsWith('/') && reg.endsWith('/'))
            reg = reg.slice(1, reg.length - 1);
        let rxp = new RegExp(reg.unescape(), flag || 'g');
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, text.unescape().replace(rxp, rep.unescape()).escape())
        };
    }
};
