"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('replaceText')
        .setValue('description', 'Replace something in the text.')
        .setValue('use', '$replaceText[text;sample;target]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 3)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let [text, x, y, strict = 'yes'] = r.splits;
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, utils_1.Utils.booleanify(strict) ? text.unescape().replaceAll(x.unescape(), y.unescape()).escape() : text.unescape().replace(x.unescape(), y.unescape()).escape())
        };
    }
};
