"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('setObjectKey')
        .setValue('description', 'Set a value to a property in the object.')
        .setValue('use', '$setObjectKey[name;value]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        let obj = d._.object;
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        if (!obj)
            return utils_1.Utils.Warn('No object created found. Use $createObject first. Error at:', d.func);
        obj[r.splits[0]] = r.splits[1].escape();
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
