"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('sleep')
        .setValue('description', 'Sleep a code for a time (wait function).')
        .setValue('use', '$sleep[miliseconds]')
        .setValue('returns', 'Awaitable<Void>'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (!utils_1.Utils.isNumber(r.inside))
            return utils_1.Utils.Warn('Invalid miliseconds provided in:', d.func);
        await (new Promise(res => setTimeout(res, Number(r.inside))));
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
