"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('slice')
        .setValue('description', 'Get a part of a text, from X to Y.')
        .setValue('use', '$slice[text;from;to?]')
        .setValue('returns', 'String'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let [text, x, y] = r.splits;
        if (!utils_1.Utils.isNumber(x) || y && !utils_1.Utils.isNumber(y))
            return utils_1.Utils.Warn('Invalid arguments provided in:', d.func);
        let result = text.unescape().slice(Number(x) - 1, y ? Number(y) : undefined);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, result?.escape() || '')
        };
    }
};
