"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('split')
        .setValue('description', 'Splits a text.')
        .setValue('use', '$split[text;separator]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        d._.splits = r.splits.slice(0, r.splits.length - 1).join(';').unescape().split(r.splits[r.splits.length - 1]);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
