"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('var')
        .setValue('description', 'Set a new local variable, to get the value you can use $get.')
        .setValue('use', '$var[name;value]')
        .setValue('returns', 'Void'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        if (r.splits.length < 2)
            return utils_1.Utils.Warn('Invalid fields provided in:', d.func);
        let [n, v] = r.splits;
        if (!d._.vars)
            d._.vars = {};
        d._.vars[n] = v.toString();
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, '')
        };
    }
};
